CREATE TABLE exm_credit_card_trxns (
    CREDIT_CARD_TRXN_ID              NUMBER(18, 0),
    MC_ADJUSTMENT_REASON_CODE        VARCHAR2(320),
    REQ_CNTL_ACCT_NUMBER             VARCHAR2(80) ,
    VALIDATE_CODE                    VARCHAR2(100)    NOT NULL,
    TRANSACTION_STATUS               VARCHAR2(100),
    CARD_PROGRAM_ID                  NUMBER(18, 0)    NOT NULL,
    COMPANY_ACCOUNT_ID               NUMBER(18, 0),
    CARD_ID                          NUMBER(18, 0),
    CC_NETWORK_REFERENCE_NUMBER      VARCHAR2(960),
    CARD_NUMBER                      VARCHAR2(320),
    REFERENCE_NUMBER                 VARCHAR2(960)    NOT NULL,
    AUTH_TRXN_NUMBER                 VARCHAR2(960),
    EMPLOYEE_NUMBER                  VARCHAR2(80) ,
    TRANSACTION_TYPE                 VARCHAR2(320),
    TRANSACTION_DATE                 DATE         ,
    TRANSACTION_AMOUNT               NUMBER       ,
    DEBIT_FLAG                       VARCHAR2(4)  ,
    DESCRIPTION                      VARCHAR2(960),
    BILLED_DATE                      DATE         ,
    BILLED_AMOUNT                    NUMBER       ,
    ORIGINAL_BILLED_AMOUNT           NUMBER       ,
    BILLED_DECIMAL                   NUMBER(1, 0) ,
    BILLED_CURRENCY_CODE             VARCHAR2(60) ,
    ORIGINAL_BILLED_CURRENCY_CODE    VARCHAR2(60) ,
    POSTED_DATE                      DATE         ,
    POSTED_AMOUNT                    NUMBER       ,
    POSTED_DECIMAL                   NUMBER(1, 0) ,
    POSTED_CURRENCY_CODE             VARCHAR2(60) ,
    CURRENCY_CONVERSION_EXPONENT     NUMBER(1, 0) ,
    CURRENCY_CONVERSION_RATE         NUMBER       ,
    ORIGINAL_CURR_CONV_RATE          NUMBER       ,
    MIS_INDUSTRY_CODE                VARCHAR2(320),
    SIC_CODE                         NUMBER(18, 0),
    MERCHANT_TAX_ID                  VARCHAR2(320),
    MERCHANT_REFERENCE               VARCHAR2(320),
    MERCHANT_NAME1                   VARCHAR2(320),
    MERCHANT_NAME2                   VARCHAR2(320),
    MERCHANT_ADDRESS1                VARCHAR2(320),
    MERCHANT_ADDRESS2                VARCHAR2(320),
    MERCHANT_ADDRESS3                VARCHAR2(320),
    MERCHANT_ADDRESS4                VARCHAR2(320),
    MERCHANT_CITY                    VARCHAR2(320),
    MERCHANT_PROVINCE_STATE          VARCHAR2(320),
    MERCHANT_POSTAL_CODE             VARCHAR2(320),
    MERCHANT_COUNTRY                 VARCHAR2(320),
    TOTAL_TAX                        NUMBER       ,
    LOCAL_TAX                        NUMBER       ,
    NATIONAL_TAX                     NUMBER       ,
    OTHER_TAX                        NUMBER       ,
    FOLIO_TYPE                       VARCHAR2(320),
    ATM_CASH_ADVANCE                 NUMBER       ,
    ATM_TRANSACTION_DATE             DATE         ,
    ATM_FEE_AMOUNT                   NUMBER       ,
    ATM_TYPE                         VARCHAR2(320),
    ATM_ID                           VARCHAR2(320),
    ATM_NETWORK_ID                   VARCHAR2(320),
    RESTAURANT_FOOD_AMOUNT           NUMBER       ,
    RESTAURANT_BEVERAGE_AMOUNT       NUMBER       ,
    RESTAURANT_TIP_AMOUNT            NUMBER       ,
    CAR_RENTAL_DATE                  DATE         ,
    CAR_RETURN_DATE                  DATE         ,
    CAR_RENTAL_LOCATION              VARCHAR2(320),
    CAR_RENTAL_STATE                 VARCHAR2(320),
    CAR_RETURN_LOCATION              VARCHAR2(320),
    CAR_RETURN_STATE                 VARCHAR2(320),
    CAR_RENTER_NAME                  VARCHAR2(320),
    CAR_RENTAL_DAYS                  VARCHAR2(320),
    CAR_RENTAL_AGREEMENT_NUMBER      VARCHAR2(320),
    CAR_CLASS                        VARCHAR2(320),
    CAR_TOTAL_MILEAGE                NUMBER       ,
    CAR_GAS_AMOUNT                   NUMBER       ,
    CAR_INSURANCE_AMOUNT             NUMBER       ,
    CAR_MILEAGE_AMOUNT               NUMBER       ,
    CAR_DAILY_RATE                   NUMBER       ,
    HOTEL_ARRIVAL_DATE               DATE         ,
    HOTEL_DEPART_DATE                DATE         ,
    HOTEL_CHARGE_DESC                VARCHAR2(320),
    HOTEL_GUEST_NAME                 VARCHAR2(320),
    HOTEL_STAY_DURATION              NUMBER       ,
    HOTEL_ROOM_RATE                  NUMBER       ,
    HOTEL_NO_SHOW_FLAG               VARCHAR2(4)  ,
    HOTEL_ROOM_AMOUNT                NUMBER       ,
    HOTEL_TELEPHONE_AMOUNT           NUMBER       ,
    HOTEL_ROOM_TAX                   NUMBER       ,
    HOTEL_BAR_AMOUNT                 NUMBER       ,
    HOTEL_MOVIE_AMOUNT               NUMBER       ,
    HOTEL_GIFT_SHOP_AMOUNT           NUMBER       ,
    HOTEL_LAUNDRY_AMOUNT             NUMBER       ,
    HOTEL_HEALTH_AMOUNT              NUMBER       ,
    HOTEL_RESTAURANT_AMOUNT          NUMBER       ,
    HOTEL_BUSINESS_AMOUNT            NUMBER       ,
    HOTEL_PARKING_AMOUNT             NUMBER       ,
    HOTEL_ROOM_SERVICE_AMOUNT        NUMBER       ,
    HOTEL_TIP_AMOUNT                 NUMBER       ,
    HOTEL_MISC_AMOUNT                NUMBER       ,
    HOTEL_CITY                       VARCHAR2(320),
    HOTEL_STATE                      VARCHAR2(320),
    HOTEL_FOLIO_NUMBER               VARCHAR2(320),
    HOTEL_ROOM_TYPE                  VARCHAR2(960),
    AIR_DEPARTURE_DATE               DATE         ,
    AIR_DEPARTURE_CITY               VARCHAR2(320),
    AIR_ROUTING                      VARCHAR2(320),
    AIR_ARRIVAL_CITY                 VARCHAR2(320),
    AIR_STOPOVER_FLAG                VARCHAR2(4)  ,
    AIR_BASE_FARE_AMOUNT             NUMBER       ,
    AIR_FARE_BASIS_CODE              VARCHAR2(320),
    AIR_SERVICE_CLASS                VARCHAR2(320),
    AIR_CARRIER_ABBREVIATION         VARCHAR2(320),
    AIR_CARRIER_CODE                 VARCHAR2(320),
    AIR_TICKET_ISSUER                VARCHAR2(320),
    AIR_ISSUER_CITY                  VARCHAR2(320),
    AIR_PASSENGER_NAME               VARCHAR2(320),
    AIR_REFUND_TICKET_NUMBER         VARCHAR2(320),
    AIR_EXCHANGED_TICKET_NUMBER      VARCHAR2(320),
    AIR_AGENCY_NUMBER                VARCHAR2(320),
    AIR_TICKET_NUMBER                VARCHAR2(320),
    FINANCIAL_CATEGORY               VARCHAR2(320),
    PAYMENT_FLAG                     VARCHAR2(4)  ,
    RECORD_TYPE                      VARCHAR2(320),
    MERCHANT_ACTIVITY                VARCHAR2(320),
    PAYMENT_DUE_FROM_CODE            VARCHAR2(120),
    REQUEST_ID                       NUMBER(18, 0),
    DISPUTE_DATE                     DATE         ,
    TRXN_AVAILABLE_DATE              DATE         ,
    CARD_ACCEPTOR_ID                 NUMBER(18, 0),
    TRXN_DETAIL_FLAG                 VARCHAR2(4)  ,
    REVIEWED_FLAG                    VARCHAR2(4)  ,
    MINI_BAR_AMOUNT                  NUMBER       ,
    EARLY_DEPARTURE_CHARGES          NUMBER       ,
    CONFERENCE_ROOM_CHARGES          NUMBER       ,
    TRANSPORTATION_CHARGES           NUMBER       ,
    AUDIO_VISUAL_CHARGES             NUMBER       ,
    BANQUET_CHARGES                  NUMBER       ,
    INTERNET_ACCESS_CHARGES          NUMBER       ,
    CASH_ADVANCES                    NUMBER       ,
    MARKET_CODE                      VARCHAR2(120),
    BILLING_CNTL_ACCT_NUMBER         VARCHAR2(120),
    COMPANY_NUMBER                   VARCHAR2(120),
    INTERBANK_CARDASSOC_NUMBER       VARCHAR2(120),
    CARD_ISSUER_NUMBER               VARCHAR2(120),
    AIR_ARRIVAL_DATE                 DATE         ,
    AIR_TOTAL_FEES_AMOUNT            NUMBER       ,
    HOTEL_CASH_DISB_AMOUNT           NUMBER       ,
    HOTEL_TRANSPORTATION_AMOUNT      NUMBER       ,
    MERCHANT_CATEGORY_CODE           VARCHAR2(120),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    BUSINESS_PROCESS_DATE            DATE         ,
    CORPORATION_NUM                  VARCHAR2(40) ,
    GENESIS_DETAIL_INDUSTRY_CODE     VARCHAR2(28) ,
    GENESIS_MAJOR_INDUSTRY_CODE      VARCHAR2(28) ,
    MERCHANT_BRAND_CODE              VARCHAR2(200),
    MERCHANT_CHAIN_NAME              VARCHAR2(200),
    MERCHANT_NUM                     VARCHAR2(60) ,
    PROCESS_FILE_ID                  NUMBER(18, 0),
    CC_AUTHORIZATION_IDENTIFIER      VARCHAR2(960),
    EMAIL_NOTIFICATION_SENT_DATE     TIMESTAMP(6) ,
    CREDIT_CARD_TRXN_ID              NUMBER(18, 0),
    REQ_CNTL_ACCT_NUMBER             VARCHAR2(80) ,
    VALIDATE_CODE                    VARCHAR2(100)    NOT NULL,
    TRANSACTION_STATUS               VARCHAR2(100),
    CARD_PROGRAM_ID                  NUMBER(18, 0)    NOT NULL,
    COMPANY_ACCOUNT_ID               NUMBER(18, 0),
    CARD_ID                          NUMBER(18, 0),
    CARD_NUMBER                      VARCHAR2(320),
    REFERENCE_NUMBER                 VARCHAR2(960)    NOT NULL,
    TRANSACTION_TYPE                 VARCHAR2(320),
    TRANSACTION_DATE                 DATE         ,
    TRANSACTION_AMOUNT               NUMBER       ,
    DEBIT_FLAG                       VARCHAR2(4)  ,
    DESCRIPTION                      VARCHAR2(960),
    BILLED_DATE                      DATE         ,
    BILLED_AMOUNT                    NUMBER       ,
    BILLED_DECIMAL                   NUMBER(1, 0) ,
    BILLED_CURRENCY_CODE             VARCHAR2(60) ,
    POSTED_DATE                      DATE         ,
    POSTED_AMOUNT                    NUMBER       ,
    POSTED_DECIMAL                   NUMBER(1, 0) ,
    POSTED_CURRENCY_CODE             VARCHAR2(60) ,
    CURRENCY_CONVERSION_EXPONENT     NUMBER(1, 0) ,
    CURRENCY_CONVERSION_RATE         NUMBER       ,
    MIS_INDUSTRY_CODE                VARCHAR2(320),
    SIC_CODE                         NUMBER(18, 0),
    MERCHANT_TAX_ID                  VARCHAR2(320),
    MERCHANT_REFERENCE               VARCHAR2(320),
    MERCHANT_NAME1                   VARCHAR2(320),
    MERCHANT_NAME2                   VARCHAR2(320),
    MERCHANT_ADDRESS1                VARCHAR2(320),
    MERCHANT_ADDRESS2                VARCHAR2(320),
    MERCHANT_ADDRESS3                VARCHAR2(320),
    MERCHANT_ADDRESS4                VARCHAR2(320),
    MERCHANT_CITY                    VARCHAR2(320),
    MERCHANT_PROVINCE_STATE          VARCHAR2(320),
    MERCHANT_POSTAL_CODE             VARCHAR2(320),
    MERCHANT_COUNTRY                 VARCHAR2(320),
    TOTAL_TAX                        NUMBER       ,
    LOCAL_TAX                        NUMBER       ,
    NATIONAL_TAX                     NUMBER       ,
    OTHER_TAX                        NUMBER       ,
    FOLIO_TYPE                       VARCHAR2(320),
    ATM_CASH_ADVANCE                 NUMBER       ,
    ATM_TRANSACTION_DATE             DATE         ,
    ATM_FEE_AMOUNT                   NUMBER       ,
    ATM_TYPE                         VARCHAR2(320),
    ATM_ID                           VARCHAR2(320),
    ATM_NETWORK_ID                   VARCHAR2(320),
    RESTAURANT_FOOD_AMOUNT           NUMBER       ,
    RESTAURANT_BEVERAGE_AMOUNT       NUMBER       ,
    RESTAURANT_TIP_AMOUNT            NUMBER       ,
    CAR_RENTAL_DATE                  DATE         ,
    CAR_RETURN_DATE                  DATE         ,
    CAR_RENTAL_LOCATION              VARCHAR2(320),
    CAR_RENTAL_STATE                 VARCHAR2(320),
    CAR_RETURN_LOCATION              VARCHAR2(320),
    CAR_RETURN_STATE                 VARCHAR2(320),
    CAR_RENTER_NAME                  VARCHAR2(320),
    CAR_RENTAL_DAYS                  VARCHAR2(320),
    CAR_RENTAL_AGREEMENT_NUMBER      VARCHAR2(320),
    CAR_CLASS                        VARCHAR2(320),
    CAR_TOTAL_MILEAGE                NUMBER       ,
    CAR_GAS_AMOUNT                   NUMBER       ,
    CAR_INSURANCE_AMOUNT             NUMBER       ,
    CAR_MILEAGE_AMOUNT               NUMBER       ,
    CAR_DAILY_RATE                   NUMBER       ,
    HOTEL_ARRIVAL_DATE               DATE         ,
    HOTEL_DEPART_DATE                DATE         ,
    HOTEL_CHARGE_DESC                VARCHAR2(320),
    HOTEL_GUEST_NAME                 VARCHAR2(320),
    HOTEL_STAY_DURATION              NUMBER       ,
    HOTEL_ROOM_RATE                  NUMBER       ,
    HOTEL_NO_SHOW_FLAG               VARCHAR2(4)  ,
    HOTEL_ROOM_AMOUNT                NUMBER       ,
    HOTEL_TELEPHONE_AMOUNT           NUMBER       ,
    HOTEL_ROOM_TAX                   NUMBER       ,
    HOTEL_BAR_AMOUNT                 NUMBER       ,
    HOTEL_MOVIE_AMOUNT               NUMBER       ,
    HOTEL_GIFT_SHOP_AMOUNT           NUMBER       ,
    HOTEL_LAUNDRY_AMOUNT             NUMBER       ,
    HOTEL_HEALTH_AMOUNT              NUMBER       ,
    HOTEL_RESTAURANT_AMOUNT          NUMBER       ,
    HOTEL_BUSINESS_AMOUNT            NUMBER       ,
    HOTEL_PARKING_AMOUNT             NUMBER       ,
    HOTEL_ROOM_SERVICE_AMOUNT        NUMBER       ,
    HOTEL_TIP_AMOUNT                 NUMBER       ,
    HOTEL_MISC_AMOUNT                NUMBER       ,
    HOTEL_CITY                       VARCHAR2(320),
    HOTEL_STATE                      VARCHAR2(320),
    HOTEL_FOLIO_NUMBER               VARCHAR2(320),
    HOTEL_ROOM_TYPE                  VARCHAR2(960),
    AIR_DEPARTURE_DATE               DATE         ,
    AIR_DEPARTURE_CITY               VARCHAR2(320),
    AIR_ROUTING                      VARCHAR2(320),
    AIR_ARRIVAL_CITY                 VARCHAR2(320),
    AIR_STOPOVER_FLAG                VARCHAR2(4)  ,
    AIR_BASE_FARE_AMOUNT             NUMBER       ,
    AIR_FARE_BASIS_CODE              VARCHAR2(320),
    AIR_SERVICE_CLASS                VARCHAR2(320),
    AIR_CARRIER_ABBREVIATION         VARCHAR2(320),
    AIR_CARRIER_CODE                 VARCHAR2(320),
    AIR_TICKET_ISSUER                VARCHAR2(320),
    AIR_ISSUER_CITY                  VARCHAR2(320),
    AIR_PASSENGER_NAME               VARCHAR2(320),
    AIR_REFUND_TICKET_NUMBER         VARCHAR2(320),
    AIR_EXCHANGED_TICKET_NUMBER      VARCHAR2(320),
    AIR_AGENCY_NUMBER                VARCHAR2(320),
    AIR_TICKET_NUMBER                VARCHAR2(320),
    FINANCIAL_CATEGORY               VARCHAR2(320),
    PAYMENT_FLAG                     VARCHAR2(4)  ,
    RECORD_TYPE                      VARCHAR2(320),
    MERCHANT_ACTIVITY                VARCHAR2(320),
    PAYMENT_DUE_FROM_CODE            VARCHAR2(120),
    REQUEST_ID                       NUMBER(18, 0),
    DISPUTE_DATE                     DATE         ,
    TRXN_AVAILABLE_DATE              DATE         ,
    CARD_ACCEPTOR_ID                 NUMBER(18, 0),
    TRXN_DETAIL_FLAG                 VARCHAR2(4)  ,
    REVIEWED_FLAG                    VARCHAR2(4)  ,
    MINI_BAR_AMOUNT                  NUMBER       ,
    EARLY_DEPARTURE_CHARGES          NUMBER       ,
    CONFERENCE_ROOM_CHARGES          NUMBER       ,
    TRANSPORTATION_CHARGES           NUMBER       ,
    AUDIO_VISUAL_CHARGES             NUMBER       ,
    BANQUET_CHARGES                  NUMBER       ,
    INTERNET_ACCESS_CHARGES          NUMBER       ,
    CASH_ADVANCES                    NUMBER       ,
    MARKET_CODE                      VARCHAR2(120),
    BILLING_CNTL_ACCT_NUMBER         VARCHAR2(120),
    COMPANY_NUMBER                   VARCHAR2(120),
    INTERBANK_CARDASSOC_NUMBER       VARCHAR2(120),
    CARD_ISSUER_NUMBER               VARCHAR2(120),
    AIR_ARRIVAL_DATE                 DATE         ,
    AIR_TOTAL_FEES_AMOUNT            NUMBER       ,
    HOTEL_CASH_DISB_AMOUNT           NUMBER       ,
    HOTEL_TRANSPORTATION_AMOUNT      NUMBER       ,
    MERCHANT_CATEGORY_CODE           VARCHAR2(120),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    AUTH_TRXN_NUMBER                 VARCHAR2(960),
    EMPLOYEE_NUMBER                  VARCHAR2(80) ,
    BUSINESS_PROCESS_DATE            DATE         ,
    CORPORATION_NUM                  VARCHAR2(40) ,
    GENESIS_DETAIL_INDUSTRY_CODE     VARCHAR2(28) ,
    GENESIS_MAJOR_INDUSTRY_CODE      VARCHAR2(28) ,
    MERCHANT_BRAND_CODE              VARCHAR2(200),
    MERCHANT_CHAIN_NAME              VARCHAR2(200),
    MERCHANT_NUM                     VARCHAR2(60) ,
    PROCESS_FILE_ID                  NUMBER(18, 0),
    ORIGINAL_BILLED_AMOUNT           NUMBER       ,
    ORIGINAL_BILLED_CURRENCY_CODE    VARCHAR2(60) ,
    ORIGINAL_CURR_CONV_RATE          NUMBER       ,
    MC_ADJUSTMENT_REASON_CODE        VARCHAR2(320),
    CC_AUTHORIZATION_IDENTIFIER      VARCHAR2(960),
    EMAIL_NOTIFICATION_SENT_DATE     TIMESTAMP(6) ,
    CC_NETWORK_REFERENCE_NUMBER      VARCHAR2(960),
    CONSTRAINT pk_exm_credit_card_trxns PRIMARY KEY (CREDIT_CARD_TRXN_ID, CREDIT_CARD_TRXN_ID)
);
